Subject: bug#11735: 24.1.50; "Warning: Unknown defun property ... in ..."

From: Juanma Barranquero <[email-masked]>
Date: Tue, 19 Jun 2012 15:41:11 +0200

On Tue, Jun 19, 2012 at 3:34 PM, Drew Adams <[email-masked]> wrote:

> (Actually, you've shown only that there exists an implementation (albeit a
> common one) that prints a warning.  That does not confirm that the CL spec says
> that's OK.  But I claimed IANAL...)

http://www.sbcl.org/manual/index.html#ANSI-Conformance

"Essentially every type of non-conformance is considered a bug. (The
exceptions involve internal inconsistencies in the standard.)"

> Perhaps this kind of message is a candidate for a :debug warning level?  I
> already said that it is useful for programmers.  I do not see it as helpful for
> general users just loading a library.  On the contrary: some might become
> confused, if not downright worried.  That's all I'm trying to say.

I'm all for ways to silence irrelevant warnings.

    Juanma